## com.google.gwt.core.ext
Interface PropertyOracle

    public interface PropertyOracle

Provides deferred binding property values.

Method Summary
`java.lang.String` | `getPropertyValue(TreeLogger logger, java.lang.String propertyName)` Attempts to get a named deferred binding property or configuration property.
`java.lang.String[]` | `getPropertyValueSet(TreeLogger logger, java.lang.String propertyName)` Attempts to get a named deferred binding property and returns the list of possible values.

Method Detail

### getPropertyValue

    java.lang.String getPropertyValue(TreeLogger logger,
                                      java.lang.String propertyName)
                                      throws BadPropertyValueException

  Attempts to get a named deferred binding property or configuration property. Throws `BadPropertyValueException` if the property is either undefined or has a value that is unsupported. The result of invoking this method with the same `propertyName` must be stable.

  Parameters:
    `logger` - the current logger
    `propertyName` - the name of the property
  Returns:
    a value for the property
  Throws:
    `BadPropertyValueException`

### getPropertyValueSet

    java.lang.String[] getPropertyValueSet(TreeLogger logger,
                                           java.lang.String propertyName)
                                           throws BadPropertyValueException

  Attempts to get a named deferred binding property and returns the list of possible values. Throws `BadPropertyValueException` if the property is a configuration property or is undefined. The result of invoking this method with the same `propertyName` must be stable.

  Parameters:
    `logger` - the current logger
    `propertyName` - the name of the property
  Returns:
    the possible values for the property
  Throws:
    `BadPropertyValueException`